<!--
// *************************************************************************
// * CentOS Web Panel Automation                                           *
// * Copyright (c) WHMCSModule Network. All Rights Reserved.               *
// * Version: 2021.1                                                       *
// * Build Date: 17 March 2021                                             *
// *************************************************************************
// * Email: sales@whmcsmodule.net                                          *
// * Website: https://www.whmcsmodule.net                                  *
// *************************************************************************
-->
<script src="modules/servers/WiseCPLicense/assets/js/Confirmation.js"></script>
<script src="modules/servers/WiseCPLicense/assets/js/ClientServiceArea.js"></script>
<link href="modules/servers/WiseCPLicense/assets/css/style.css" rel="stylesheet">
<link href="modules/servers/WiseCPLicense/assets/css/Confirmation.css" rel="stylesheet">
<link rel="stylesheet" href="modules/servers/WiseCPLicense/assets/css/vanilla-notify.css">
<script src="modules/servers/WiseCPLicense/assets/js/vanilla-notify.js"></script>
<div id="custom-loader" class="wisecp-loader" style='display:none; margin:-20px;'></div>
{if $pendingcancellation}
    {include file="$template/includes/alert.tpl" type="error" msg=$LANG.cancellationrequestedexplanation textcenter=true idname="alertPendingCancellation"}
{/if}

{if $unpaidInvoice}
    <div class="alert alert-{if $unpaidInvoiceOverdue}danger{else}warning{/if}" id="alert{if $unpaidInvoiceOverdue}Overdue{else}Unpaid{/if}Invoice">
        <div class="pull-right">
            <a href="viewinvoice.php?id={$unpaidInvoice}" class="btn btn-xs btn-default">
                {lang key='payInvoice'}
            </a>
        </div>
        {$unpaidInvoiceMessage}
    </div>
{/if}
<div class="row">
    <div class="col-md-6">
            <div class="product-details clearfix">
              {if $tpl == 'lagom'}
              <div class="product-icon">
              <div class="product-content">
                  <div class="product-image"><img src="modules/servers/WiseCPLicense/assets/img/logo-type-{$wisecp_product_id}.svg" style="width: 200px;"></div>
                  <h2 class="product-name">{$groupname} - {$product}</h2>
                  <div class="product-status">{$LANG.clientareastatus}:
                      <span class="label label-success">{$status}</span>
                  </div>
              </div>
              {if $domain}
              <a class="product-footer" href="http://{$domain}">{$domain}</a>
              {/if}
         </div>
              {else}
                <div class="product-status product-status-{$rawstatus|strtolower}">
                    <div class="product-icon text-center">
                      <div class="product-content">
                      <div class="product-image"><img src="modules/servers/WiseCPLicense/assets/img/logo-type-{$wisecp_product_id}.svg" style="width: 200px;">

                        <h3>{$product}</h3>
                        <h4>{$groupname}</h4>
                          </div>
                          </div>
                    </div>
                    <div class="product-status-text">
                        {$status}
                    </div>
                </div>
                {/if}
                <br />
        </div>
      </br />
        {if $availableAddonProducts}
            <div class="panel panel-default card">
                <div class="panel-heading card-header">
                    <h3 class="panel-title card-title m-0">{$_LANG["AddonsExtras"]}</h3>
                </div>
                <div class="panel-body text-center card-body">
                    <form method="post" action="cart.php?a=add" class="form-inline">
                        <input type="hidden" name="serviceid" value="{$serviceid}" />
                        <select name="aid" class="form-control input-sm">
                        {foreach $availableAddonProducts as $addonId => $addonName}
                            <option value="{$addonId}">{$addonName}</option>
                        {/foreach}
                        </select>
                        <button type="submit" class="btn btn-default btn-sm">
                            <i class="fas fa-shopping-cart"></i>
                            {$_LANG["PurchaseActivate"]}
                        </button>
                    </form>
                </div>
            </div>
        {/if}
    </div>

    <div class="col-md-6">
    <div class="panel panel-default">
    <div class="overflow-hidden card">
    <div class="bg-holder bg-card style-bg1"></div>
    <div class="panel-heading card-header">
        <h3 class="panel-title card-title m-0">{$_LANG["BillingOverview"]}</h3>
    </div>
    <div class="panel-body card-body footer-bg-sm">
                {if $firstpaymentamount neq $recurringamount}
                    <div class="row" id="firstPaymentAmount">
                        <div class="col-sm-5 text-right" >
                          <strong>  {$LANG.firstpaymentamount} </strong>
                        </div>
                        <div class="col-sm-6 text-left">
                            {$firstpaymentamount}
                        </div>
                    </div>
                {/if}
                {if $billingcycle != $LANG.orderpaymenttermonetime && $billingcycle != $LANG.orderfree}
                    <div class="row" id="recurringAmount">
                        <div class="col-sm-5 text-right">
                          <strong>  {$LANG.recurringamount} </strong>
                        </div>
                        <div class="col-sm-6 text-left">
                            {$recurringamount}
                        </div>
                    </div>
                {/if}
                <div class="row" id="billingCycle">
                    <div class="col-sm-5 text-right">
                    <strong>    {$LANG.orderbillingcycle} </strong>
                    </div>
                    <div class="col-sm-6 text-left">
                        {$billingcycle}
                    </div>
                </div>
                <div class="row" id="paymentMethod">
                    <div class="col-sm-5 text-right">
                    <strong>    {$LANG.orderpaymentmethod} </strong>
                    </div>
                    <div class="col-sm-6 text-left">
                        {$paymentmethod}
                    </div>
                </div>
                <div class="row" id="registrationDate">
                    <div class="col-sm-5 text-right">
                    <strong>    {$LANG.clientareahostingregdate} </strong>
                    </div>
                    <div class="col-sm-6 text-left">
                        {$regdate}
                    </div>
                </div>
                <div class="row" id="nextDueDate">
                    <div class="col-sm-5 text-right">
                    <strong>    {$LANG.clientareahostingnextduedate} </strong>
                    </div>
                    <div class="col-sm-6 text-left">
                        {$nextduedate}
                    </div>
            </div>
            {if $systemStatus == 'Active'}
            <div class="row">
                <div class="col-sm-5 text-right">
                <strong> {$_LANG["Domain"]} </strong>
                </div>
                <div class="col-sm-6 text-left"><span id="domainname"></span> <a href="javascript:DomainChange();" data-toggle="tooltip" title="{$_LANG["rename"]}" data-placement="bottom" data-original-title="{$_LANG["rename"]}"> <i class="fas fa-edit"></i></a></div>
              </div>

              <div class="row">
                  <div class="col-sm-5 text-right">
                  <strong> {$_LANG["status"]} </strong>
                  </div>
                  <div class="col-sm-6 text-left"><span class="status-field completed" id="status"></span></div>
                </div>
        {/if}

    </div>
    </div>
    </div>
    </div>

<div class="col-md-12">
    {if $showcancelbutton || $packagesupgrade}
        <div class="row">
            {if $packagesupgrade}
                <div class="col-xs-{if $showcancelbutton}3{else}3{/if}">
                    <a href="upgrade.php?type=package&amp;id={$id}" class="btn btn-block btn-success"><i class="fas fa-cloud-upload-alt"></i> {$LANG.upgrade}</a>
                </div>
            {/if}
            {if $showcancelbutton}
                <div class="col-xs-{if $packagesupgrade}3{else}3{/if}">
                    <a href="clientarea.php?action=cancel&amp;id={$id}" class="btn btn-block btn-danger {if $pendingcancellation}disabled{/if}"><i class="fas fa-trash-alt"></i> {if $pendingcancellation}{$LANG.cancellationrequested}{else}{$LANG.clientareacancelrequestbutton}{/if}</a>
                </div>
            {/if}
            {if $systemStatus == 'Active'}
            <div class="col-xs-3">
                <a href="javascript:WiseCPDownload();" class="btn btn-block btn-success"><i class="fa fa-download"></i> {$_LANG["download"]}</a>
            </div>
            {/if}

        </div>
    {/if}
</div>

{if $configurableoptions}
<div class="col-md-6">
    <div class="panel panel-default">
      <div class="overflow-hidden card">
        <div class="bg-holder bg-card style-bg2"></div>
        <div class="panel-heading card-header">
            <h3 class="panel-title card-title m-0">{$LANG.orderconfigpackage}</h3>
        </div>
        <div class="panel-body card-body footer-bg-lg">
            {foreach from=$configurableoptions item=configoption}
                <div class="row">
                    <div class="col-md-4 col-xs-6 text-right">
                        <strong>{$configoption.optionname}</strong>
                    </div>
                    <div class="col-md-8 col-xs-6 text-left">
                        {if $configoption.optiontype eq 3}{if $configoption.selectedqty}{$LANG.yes}{else}{$LANG.no}{/if}{elseif $configoption.optiontype eq 4}{$configoption.selectedqty} x {$configoption.selectedoption}{else}{$configoption.selectedoption}{/if}
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
  </div>
</div>
{/if}
{if $customfields}
<div class="col-md-6" style="display:none;">
    <div class="panel panel-default">
      <div class="overflow-hidden card">
        <div class="bg-holder bg-card style-bg3"></div>
        <div class="panel-heading card-header">
            <h3 class="panel-title card-title m-0">{$LANG.additionalInfo}</h3>
        </div>
        <div class="panel-body card-body footer-bg-sm">
            {foreach from=$customfields item=field}
                <div class="row">
                    <div class="col-md-4 col-xs-6 text-right">
                        <strong>{$field.name}</strong>
                    </div>
                    <div class="col-md-8 col-xs-6 text-left">
                        {if empty($field.value)}
                            {$LANG.blankCustomField}
                        {else}
                            {$field.value}
                        {/if}
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
  </div>
</div>
{/if}
</div>

{if $systemStatus == 'Active'}
{literal}
<script type="text/javascript">
  var serviceURL = {/literal}"{$serviceURL}"{literal};
  var serviceid = {/literal}{$serviceid}{literal};
  var wisecp_order_id = {/literal}{$wisecp_order_id}{literal};
</script>
{/literal}

{else}
    <div class="alert alert-warning text-center" role="alert">
        {if $suspendreason}
            <strong>{$suspendreason}</strong><br />
        {/if}
        {$_LANG["suspendreason"]} {$status}.<br />
        {if $systemStatus eq "Pending"}
            {$_LANG["Pending"]}
        {elseif $systemStatus eq "Suspended"}
        {$_LANG["Suspended"]}
        {/if}
    </div>
{/if}
